Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1015 - dump is broken on sparc
Summary: dump is broken on sparc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dump
Version: 5.2
Hardware: sparc
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-01 17:55 UTC by wrichards
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-02 14:40:55 UTC


Attachments (Terms of Use)

Description wrichards 1999-02-01 17:55:45 UTC
Running RedHat 5.2 on SPARCStation10 with two 2GB drives.
When attempting to run dump, bread errors overflow the
screen and the dump fails.

Listed below is a snippet of a dump error listing.
  DUMP: short read error from /dev/sda1: [block
-1990328320]: count=1024, got=0
  DUMP: bread: lseek2 fails!
  DUMP: short read error from /dev/sda1: [sector
-1990328320]: count=512, got=0
  DUMP: bread: lseek2 fails!
  DUMP: short read error from /dev/sda1: [sector
-1990328319]: count=512, got=0
  DUMP: bread: lseek fails
  DUMP: short read error from /dev/sda1: [block
-1956773888]: count=1024, got=0
  DUMP: bread: lseek2 fails!
  DUMP: short read error from /dev/sda1: [sector
-1956773888]: count=512, got=0
  DUMP: bread: lseek2 fails!
  DUMP: short read error from /dev/sda1: [sector
-1956773887]: count=512, got=0
  DUMP: bread: lseek fails

After 32 errors, of course, it asks if you want to continue
and if answered 'yes' generates a new list of errors.  If
running in the background, it just fails with an exitcode
'3'.

Wayne Richards
Technical Support Analyst, Sr.
Goodyear Tire & Rubber Co.
Corporate Research

Comment 1 Jeff Johnson 1999-02-02 14:40:59 UTC
Derek Brashear's patch to fix this problem has been applied in
dump-0.3-17,


Note You need to log in before you can comment on or make changes to this bug.